pkgname=lunaos-gamescope-session
_gitdir=gamescope-session
_commit=56e73f98a968d760e70b4a5c44ba4a451d7c7276
pkgver=.
pkgrel=1
pkgdesc="Common gamescope session files"
arch=('any')
url="https://github.com/KyleGospo/gamescope-session"
license=('MIT')
depends=('gamescope' 'switcheroo-control' 'ibus' 'xorg-xrandr' 'powerbuttond')
makedepends=('git')
conflicts=('gamescope-session-git' 'opengamepadui-session-git')
install=$_gitdir.install
source=("git+https://github.com/KyleGospo/gamescope-session.git#commit=$_commit"
		"0001-lunaos.patch"
	    "adaptive_brightnes.patch")

sha256sums=('5440689b09e28411fce525ae2b375bb3dbe4832d14eba0abd7ce6ecaae4c9305'
            '490a59ba8e1bc963c9916565401eb944fb798bec692801bef39a200b391d4347'
            '182610aa93a7290688795d521ebd6a857d26557ca7e366e445f29a56cc62bce4')

conflicts=("lunaos-gamescope-session-git")
provides=('lunaos-gamescope-session-git')
replaces=('lunaos-gamescope-session-git')

pkgver() {
	cd "$srcdir/${_gitdir}"

	# Git, no tags available
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

prepare() {
  patch -d "$srcdir/${_gitdir}" -p1 -i "${srcdir}"/0001-lunaos.patch
  patch -d "$srcdir/${_gitdir}" -p1 -i "${srcdir}"/adaptive_brightnes.patch
}

package() {
	cd "$srcdir/${_gitdir}"
	cp -rv ${srcdir}/${_gitdir}/usr ${pkgdir}/usr
	install -Dm644 ${srcdir}/${_gitdir}/LICENSE ${pkgdir}/usr/share/licenses/${_gitdir}/LICENSE
}
